Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
KBuildSycoca
8

# Beskrivelse

Genbygger systemets indstillingscache.

## Oversigt

    kbuildsycoca  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Beskrivelse

`kbuildsycoca`, som en del af &kde;'s kommandolinjeværktøjer, sikrer at &kde; fungerer rigtigt ved at indlæse alle filerne af type `.desktop`, `.directory`, `.kimgio` og `.protocol` for at oprette en binær database.

&kde; bruger selv denne database under driften for at sørge for indstillingsrelateret information som et program behøver for at køre.

Dette værktøj er en del af ksycoca, som betyder &kde; System Configuration Cache (&kde; systemindstillingscache)

## Flag

`--nosignal`

  Signalér ikke til programmer

`--incremental`

  Inkrementel opdatering

`--help`

  Vis hjælp om flag

`--help-qt`

  Vis Qt-specifikke flag

`--help-kde`

  Vis KDE-specifikke flag

`--help-all`

  Vis alle flag

`--author`

  Vis information om forfatter

`---version`

  Vis versionsinformation

`--license`

  Vis licensinformation

## Brug

En standardmåde at køre programmet er at angive følgende kommando ved prompten: ``kbuildsycoca``.

## Filer

`/tmp/kde-$USER/ksyscoca`

  ...

## Miljøvariabler

$`KDEDIRS`

  Angiver hvilke mapper som er en del af KDE-installationerne

## Se også

ksycoca(3), kblah(4), knogga(6)

## Fejl

Der er ingen kendte fejl mens dette skrives.